/* base style css */

* {
    margin: 0;
    padding: 0;
}

* {
    outline: none;
    border: none;
}

* {
    box-sizing: border-box;
}

a img {
    border: none;
}

a {
    text-decoration: none;
    cursor: pointer;
}

/* a.active {
    pointer-events: none;
    cursor: default;
} */

body {
    /* font-family: SF Pro SC, PingFang SC, "Microsoft YaHei", Arial, sans-serif; */
    font-family: "Microsoft YaHei", Arial, sans-serif;
    font-size: 12px;
    color: #000000;
    line-height: 1.6;
}

select,
option {
    border: 0;
    border-radius: 0;
    outline: none;
    cursor: pointer;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
}

video {
    cursor: pointer;
}

ul,
li {
    margin-bottom: 10px;
    list-style: none;
}

p {
    padding: 0;
    margin-bottom: 10px;
    color: gray;
}

li,p {
    cursor: default;
}

img {
    display: block;
    max-width: 100%;
}

.d-flex {
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    flex-wrap: wrap;
}

.block {
    display: block;
}

.flex_1 {
    flex: 1 !important;
}

.flex_2 {
    flex: 2 !important;
}

.flex_3 {
    flex: 3 !important;
}

.flex_4 {
    flex: 4 !important;
}

.flex_5 {
    flex: 5 !important;
}

.mt-0 {
    margin-top: 0;
}

.mt-1 {
    margin-top: 5px;
}

.mt-2 {
    margin-top: 10px;
}

.mt-3 {
    margin-top: 15px;
}

.mt-4 {
    margin-top: 20px;
}

.mt-5 {
    margin-top: 25px;
}

.mb-0 {
    margin-bottom: 0;
}

.mb-1 {
    margin-bottom: 5px;
}

.mb-2 {
    margin-bottom: 10px;
}

.mb-3 {
    margin-bottom: 15px;
}

.mb-4 {
    margin-bottom: 20px;
}

.mb-5 {
    margin-bottom: 25px;
}

.mr-0 {
    margin-right: 0;
}

.mr-1 {
    margin-right: 5px;
}

.mr-2 {
    margin-right: 10px;
}

.mr-3 {
    margin-right: 15px;
}

.mr-4 {
    margin-right: 20px;
}

.mr-5 {
    margin-right: 25px;
}

.ml-0 {
    margin-left: 0;
}

.ml-1 {
    margin-left: 5px;
}

.ml-2 {
    margin-left: 10px;
}

.ml-3 {
    margin-left: 15px;
}

.ml-4 {
    margin-left: 20px;
}

.ml-5 {
    margin-left: 25px;
}

.cursor-default {
    cursor: default;
}

.cursor-pointer {
    cursor: pointer;
}

.button {
    background-color: rgb(0, 230, 154);
    color: #000000;
    width: 80px;
    height: 40px;
    font-size: 15px;
    cursor: pointer;
    border-radius: 6px;
    overflow: hidden;
}

.button:hover {
    opacity: 0.85;
}

.button:active {
    opacity: 0.618;
}

button.register {
    background-color: white;
    border: 1px solid #eeeeee;
    color: black;
}

button.login {
    background-color: rgb(229, 36, 36);
    color: white;
}

.line_bottom {
    border-bottom: 1px solid #eeeeee;
}

.border {
    border: 1px solid #eeeeee;
}

/* 试图禁用HDR显示高亮内容 */
video {
  color-gamut: srgb;
}


/* input::placeholder,
textarea::placeholder {
    color: #d7dadc !important;
}

input:-ms-input-placeholder,
textarea:-ms-input-placeholder {
    color: #d7dadc !important;
}

input::-webkit-input-placeholder,
textarea::-webkit-input-placeholder {
    color: #d7dadc !important;
} */